Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 693661 - RFE: Add support for spice disable-copy-paste option
Summary: RFE: Add support for spice disable-copy-paste option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 693645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 09:01 UTC by Hans de Goede
Modified: 2011-12-06 11:04 UTC (History)
5 users (show)

Fixed In Version: libvirt-0.9.3-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 11:04:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
spice: add disableCopyPaste property (deleted)
2011-06-04 01:45 UTC, Marc-Andre Lureau
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1513 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-12-06 01:23:30 UTC

Description Hans de Goede 2011-04-05 09:01:56 UTC
From a security pov copy and paste between the guest and the client is not
always desirable. So we need to be able to enable/disable this. The best place
to do this from an administration pov is on the hypervisor, so the qemu cmdline is getting a spice disable-copy-paste option, see bug 693645. Example qemu invocation:
qemu -spice port=5932,disable-ticketing,disable-copy-paste

This bug is for tracking adding support to libvirt to set / pass the spice disable-copy-paste option.

Comment 2 Marc-Andre Lureau 2011-06-04 01:45:24 UTC
Created attachment 502935 [details]
spice: add disableCopyPaste property

Comment 3 Dave Allan 2011-06-04 01:55:02 UTC
Thanks for the patch--would you mind submitting it to the upstream libvirt list for review and commit?

Comment 5 Eric Blake 2011-06-13 17:05:52 UTC
Now posted to upstream list for comments:
https://www.redhat.com/archives/libvir-list/2011-June/msg00507.html

Comment 6 Eric Blake 2011-06-14 23:08:54 UTC
Upstream commit will be picked up by next rebase for RHEL 6.2.
commit 98bfdff12cbcf2d6efb3ba5e3236d75b3fd10634
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Tue Jun 14 13:35:48 2011 +0200

    spice: add <clipboard copypaste='yes|no'> option
    
    From a security pov copy and paste between the guest and the client is not
    always desirable. So we need to be able to enable/disable this. The best place  to do this from an administration pov is on the hypervisor, so the qemu cmdline is getting a spice disable-copy-paste option, see bug 693645. Example qemu
    invocation:
    qemu -spice port=5932,disable-ticketing,disable-copy-paste
    
    https://bugzilla.redhat.com/show_bug.cgi?id=693661

Comment 10 zhe peng 2011-07-11 05:35:19 UTC
According to comment 9, move this bug to verified.

Comment 11 errata-xmlrpc 2011-12-06 11:04:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html


Note You need to log in before you can comment on or make changes to this bug.